sbv-8.7: SMT Based Verification: Symbolic Haskell theorem prover using SMT solving.

Copyright | (c) Levent Erkok
License | BSD3
Maintainer | erkokl@gmail.com
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Documentation.SBV.Examples.Optimization.LinearOpt

Description

Simple linear optimization example, as found in operations research texts.

Synopsis

- problem :: Goal

# Documentation

problem :: Goal Source #

Taken from http://people.brunel.ac.uk/~mastjjb/jeb/or/morelp.html

- maximize 5x1 + 6x2

- subject to

  1. x1 + x2 <= 10
  2. x1 - x2 >= 3
  3. 5x1 + 4x2 <= 35
  4. x1 >= 0
  5. x2 >= 0

    >>> optimize Lexicographic problem
    Optimal model:
      x1   =  47 % 9 :: Real
      x2   =  20 % 9 :: Real
      goal = 355 % 9 :: Real